com.google.gwt.core.client

## Class CodeDownloadException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - com.google.gwt.core.client.CodeDownloadException

All Implemented Interfaces:
  java.io.Serializable

    public final class CodeDownloadException
    extends java.lang.RuntimeException

Exception indicating an interruption while downloading resources.

See Also:
  Serialized Form

### Nested Class Summary

Nested Classes
`static class` `CodeDownloadException.Reason` Reason codes for the interruption of code down load.

### Constructor Summary

Constructors
Constructor and Description
`CodeDownloadException(java.lang.String message)`
`CodeDownloadException(java.lang.String message, CodeDownloadException.Reason reason)`

### Method Summary

All Methods Instance Methods Concrete Methods
`CodeDownloadException.Reason` `getReason()`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### CodeDownloadException

    public CodeDownloadException(java.lang.String message)

#### CodeDownloadException

    public CodeDownloadException(java.lang.String message,
                                 CodeDownloadException.Reason reason)

### Method Detail

#### getReason

    public CodeDownloadException.Reason getReason()